Module waffle.jna
Package waffle.util.cache

# Interface CacheSupplier

All Known Implementing Classes:
  `CaffeineCacheSupplier`

public interface CacheSupplier
Service interface to instantiate a new `Cache`.

## Method Summary

Modifier and Type
Method
Description
`<K, V> Cache<K,V>`
`newCache(long timeout)`
Creates a new cache with the specified timeout.

## Method Details

### newCache

<K, V> Cache<K,V> newCache(long timeout)
Creates a new cache with the specified timeout.

Type Parameters:
  `K` - the type of keys maintained by this cache
  `V` - the type of mapped values
Parameters:
  `timeout` - timeout in seconds
Returns:
  a new cache